Index: boot/grub/arm64-efi/README
===================================================================
--- boot/grub/arm64-efi/README	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/README	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,9 @@
+The binary files of GRUB boot loader in this directory have been created
+by compiling GRUB for the 'arm64-efi' target and then using the grub-mkrescue
+script to create the El Torito boot image.
+
+For licensing terms of GRUB boot loader see the file COPYING contained
+in this directory. Full version of GRUB, including its source code,
+can be downloaded from GRUB's project page:
+
+http://www.gnu.org/software/grub/
Index: boot/grub/arm64-efi/REVISION
===================================================================
--- boot/grub/arm64-efi/REVISION	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/REVISION	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,1 @@
+bc220962e366b1b46769ed6f9fa5be603ba58ab5
Index: boot/grub/arm64-efi/arm64-efi/command.lst
===================================================================
--- boot/grub/arm64-efi/arm64-efi/command.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/command.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,133 @@
+*acpi: acpi
+*all_functional_test: functional_test
+*background_image: gfxterm_background
+*cat: cat
+*crc: hashsum
+*cryptomount: cryptodisk
+*echo: echo
+*extract_syslinux_entries_configfile: syslinuxcfg
+*extract_syslinux_entries_source: syslinuxcfg
+*file: file
+*functional_test: functional_test
+*gettext: gettext
+*hashsum: hashsum
+*hello: hello
+*help: help
+*hexdump: hexdump
+*keystatus: keystatus
+*list_env: loadenv
+*load_env: loadenv
+*loopback: loopback
+*ls: ls
+*lsacpi: lsacpi
+*md5sum: hashsum
+*menuentry: normal
+*probe: probe
+*read_byte: memrw
+*read_dword: memrw
+*read_word: memrw
+*regexp: regexp
+*save_env: loadenv
+*search: search
+*serial: serial
+*sha1sum: hashsum
+*sha256sum: hashsum
+*sha512sum: hashsum
+*sleep: sleep
+*submenu: normal
+*syslinux_configfile: syslinuxcfg
+*syslinux_source: syslinuxcfg
+*terminfo: terminfo
+*test_blockarg: test_blockarg
+*testspeed: testspeed
+*tr: tr
+*trust: verify
+*verify_detached: verify
+*zfskey: zfscrypt
+.: configfile
+[: test
+authenticate: normal
+background_color: gfxterm_background
+badram: mmap
+blocklist: blocklist
+boot: boot
+break: normal
+cat: minicmd
+chainloader: chain
+clear: normal
+cmp: cmp
+configfile: configfile
+continue: normal
+cutmem: mmap
+date: date
+devicetree: fdt
+distrust: verify
+dump: minicmd
+eval: eval
+exit: minicmd
+export: normal
+extract_entries_configfile: configfile
+extract_entries_source: configfile
+false: true
+fwsetup: efifwsetup
+gptsync: gptsync
+halt: halt
+help: minicmd
+initrd: linux
+linux: linux
+list_trusted: verify
+loadfont: font
+lsefi: lsefi
+lsefimmap: lsefimmap
+lsefisystab: lsefisystab
+lsfonts: font
+lsmmap: lsmmap
+lsmod: minicmd
+lssal: lssal
+macppcbless: macbless
+mactelbless: macbless
+net_add_addr: net
+net_add_dns: net
+net_add_route: net
+net_bootp: net
+net_del_addr: net
+net_del_dns: net
+net_del_route: net
+net_get_dhcp_option: net
+net_ipv6_autoconf: net
+net_ls_addr: net
+net_ls_cards: net
+net_ls_dns: net
+net_ls_routes: net
+net_nslookup: net
+normal: normal
+normal_exit: normal
+parttool: parttool
+password: password
+password_pbkdf2: password_pbkdf2
+read: read
+reboot: reboot
+return: normal
+rmmod: minicmd
+search.file: search_fs_file
+search.fs_label: search_label
+search.fs_uuid: search_fs_uuid
+setparams: normal
+shift: normal
+source: configfile
+terminal_input: terminal
+terminal_output: terminal
+test: test
+testload: testload
+time: time
+true: true
+videoinfo: videoinfo
+videotest: videotest
+write_byte: memrw
+write_dword: memrw
+write_word: memrw
+xen_hypervisor: xen_boot
+xen_module: xen_boot
+xnu_uuid: xnu_uuid
+zfs-bootfs: zfsinfo
+zfsinfo: zfsinfo
Index: boot/grub/arm64-efi/arm64-efi/crypto.lst
===================================================================
--- boot/grub/arm64-efi/arm64-efi/crypto.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/crypto.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,45 @@
+RIJNDAEL: gcry_rijndael
+RIJNDAEL192: gcry_rijndael
+RIJNDAEL256: gcry_rijndael
+AES128: gcry_rijndael
+AES-128: gcry_rijndael
+AES-192: gcry_rijndael
+AES-256: gcry_rijndael
+ADLER32: adler32
+CRC64: crc64
+ARCFOUR: gcry_arcfour
+BLOWFISH: gcry_blowfish
+CAMELLIA128: gcry_camellia
+CAMELLIA192: gcry_camellia
+CAMELLIA256: gcry_camellia
+CAST5: gcry_cast5
+CRC32: gcry_crc
+CRC32RFC1510: gcry_crc
+CRC24RFC2440: gcry_crc
+DES: gcry_des
+3DES: gcry_des
+DSA: gcry_dsa
+IDEA: gcry_idea
+MD4: gcry_md4
+MD5: gcry_md5
+RFC2268_40: gcry_rfc2268
+AES: gcry_rijndael
+AES192: gcry_rijndael
+AES256: gcry_rijndael
+RIPEMD160: gcry_rmd160
+RSA: gcry_rsa
+SEED: gcry_seed
+SERPENT128: gcry_serpent
+SERPENT192: gcry_serpent
+SERPENT256: gcry_serpent
+SHA1: gcry_sha1
+SHA224: gcry_sha256
+SHA256: gcry_sha256
+SHA512: gcry_sha512
+SHA384: gcry_sha512
+TIGER192: gcry_tiger
+TIGER: gcry_tiger
+TIGER2: gcry_tiger
+TWOFISH: gcry_twofish
+TWOFISH128: gcry_twofish
+WHIRLPOOL: gcry_whirlpool
Index: boot/grub/arm64-efi/arm64-efi/fs.lst
===================================================================
--- boot/grub/arm64-efi/arm64-efi/fs.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/fs.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,36 @@
+affs
+afs
+bfs
+btrfs
+cbfs
+cpio
+cpio_be
+exfat
+ext2
+fat
+hfs
+hfsplus
+iso9660
+jfs
+minix
+minix2
+minix2_be
+minix3
+minix3_be
+minix_be
+newc
+nilfs2
+ntfs
+odc
+procfs
+reiserfs
+romfs
+sfs
+squash4
+tar
+udf
+ufs1
+ufs1_be
+ufs2
+xfs
+zfs
Index: boot/grub/arm64-efi/arm64-efi/gmodule.pl
===================================================================
--- boot/grub/arm64-efi/arm64-efi/gmodule.pl	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/gmodule.pl	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,30 @@
+###
+### Generate GDB commands, that load symbols for specified module,
+### with proper section relocations. See .gdbinit
+###
+### $Id: gmodule.pl,v 1.2 2006/05/14 11:38:42 lkundrak Exp lkundrak $
+### Lubomir Kundrak <lkudrak@skosi.org>
+###
+
+use strict;
+
+while (<>) {
+	my ($name, %sections) = split;
+
+	print "add-symbol-file $name.module";
+
+	open (READELF, "readelf -S $name.mod |") or die;
+	while (<READELF>) {
+		/\[\s*(\d+)\]\s+(\.\S+)/ or next;
+
+		if ($2 eq '.text') {
+			print " $sections{$1}";
+			next;
+		}
+
+		print " -s $2 $sections{$1}"
+			if ($sections{$1} ne '0x0' and $sections{$1} ne '');
+	};
+	close (READELF);
+	print "\n";
+}
Index: boot/grub/arm64-efi/arm64-efi/moddep.lst
===================================================================
--- boot/grub/arm64-efi/arm64-efi/moddep.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/moddep.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,210 @@
+videotest: font video gfxmenu
+odc: archelp
+loopback: extcmd
+macho:
+gcry_des: crypto
+memrw: extcmd
+terminfo: extcmd
+part_gpt:
+romfs: fshelp
+read:
+lsefimmap:
+gcry_arcfour: crypto
+tftp: net priority_queue
+newc: archelp
+minix2_be:
+elf:
+videotest_checksum: font functional_test video_fb
+password_pbkdf2: crypto gcry_sha512 pbkdf2 normal
+gcry_seed: crypto
+sfs: fshelp
+reiserfs: fshelp
+part_sunpc:
+gfxmenu: video_colors trig bitmap_scale gfxterm font normal video bitmap
+jfs:
+help: extcmd normal
+configfile: normal
+gfxterm_menu: font functional_test procfs normal video_fb
+gcry_idea: crypto
+tr: extcmd
+shift_test: functional_test
+afs: fshelp
+xzio: crypto
+syslinuxcfg: extcmd normal
+search_fs_file:
+test_blockarg: extcmd normal
+xen_boot: linux boot fdt
+true:
+affs: fshelp
+iso9660: fshelp
+exfat: fshelp
+setjmp_test: functional_test setjmp
+gfxterm: font video
+fdt:
+efinet: net
+disk:
+xfs: fshelp
+testspeed: extcmd normal
+cpio_be: archelp
+functional_test: btrfs extcmd video video_fb
+bswap_test: functional_test
+sleep: extcmd normal
+memdisk:
+gcry_rijndael: crypto
+mdraid09_be: diskfilter
+gettext:
+gcry_sha1: crypto
+hfspluscomp: gzio hfsplus
+cmp:
+offsetio:
+file: macho elf extcmd offsetio
+video_colors:
+hashsum: crypto extcmd normal
+halt:
+gfxterm_background: video_colors bitmap_scale gfxterm extcmd video bitmap
+search_fs_uuid:
+gcry_dsa: verify mpi
+keystatus: extcmd
+linux: boot fdt
+geli: cryptodisk crypto gcry_sha512 pbkdf2 gcry_sha256
+cmdline_cat_test: font functional_test procfs normal video_fb
+part_sun:
+pbkdf2_test: functional_test pbkdf2 gcry_sha1
+bufio:
+bfs: fshelp
+gcry_blowfish: crypto
+test:
+nilfs2: fshelp
+gcry_rsa: verify mpi
+cryptodisk: crypto extcmd procfs
+minicmd:
+signature_test: functional_test procfs
+udf: fshelp
+gzio:
+xnu_uuid: gcry_md5
+mul_test: functional_test
+adler32: crypto
+terminal:
+div:
+crypto:
+part_bsd: part_msdos
+gcry_sha512: crypto
+password: crypto normal
+fshelp:
+sleep_test: functional_test datetime
+mmap:
+exfctest: functional_test
+zfsinfo: zfs
+ldm: part_gpt diskfilter part_msdos
+eval: normal
+part_dvh:
+lssal:
+ext2: fshelp
+blocklist:
+net: priority_queue bufio datetime boot
+part_acorn:
+videoinfo: video
+btrfs: lzopio gzio
+lsmmap: mmap
+bitmap:
+ntfs: fshelp
+gcry_crc: crypto
+png: bufio bitmap
+jpeg: bufio bitmap
+macbless: disk
+div_test: functional_test div
+regexp: extcmd normal
+parttool: normal
+cpio: archelp
+gcry_rmd160: crypto
+fat: fshelp
+ufs1_be:
+archelp:
+raid6rec: diskfilter
+http: net
+zfs: gzio
+lsefisystab:
+minix2:
+lsacpi: extcmd acpi
+datehook: datetime normal
+loadenv: disk extcmd
+bitmap_scale: bitmap
+probe: extcmd
+minix3:
+tar: archelp
+hfs: fshelp
+procfs: archelp
+boot:
+progress: normal
+kernel:
+acpi: extcmd mmap
+tga: bufio bitmap
+reboot:
+serial: extcmd terminfo
+zfscrypt: crypto pbkdf2 zfs extcmd gcry_sha1 gcry_rijndael
+dm_nv: diskfilter
+cmp_test: functional_test
+luks: cryptodisk crypto pbkdf2
+font: bufio video
+raid5rec: diskfilter
+crc64: crypto
+datetime:
+efifwsetup: reboot
+ctz_test: functional_test
+video:
+hfsplus: fshelp
+gcry_cast5: crypto
+extcmd:
+squash4: fshelp lzopio xzio gzio
+part_plan:
+minix_be:
+gcry_whirlpool: crypto
+gcry_tiger: crypto
+search: search_fs_uuid search_fs_file extcmd search_label
+video_fb:
+verify: crypto extcmd mpi gcry_sha1
+minix3_be:
+trig:
+msdospart: disk parttool
+priority_queue:
+gcry_twofish: crypto
+part_dfly:
+xnu_uuid_test: functional_test
+diskfilter:
+testload:
+part_apple:
+hexdump: extcmd
+date: datetime normal
+pbkdf2: crypto
+gcry_sha256: crypto
+ls: extcmd normal
+ntfscomp: ntfs
+lzopio: crypto
+hello: extcmd
+scsi:
+cat: extcmd
+normal: terminal crypto bufio extcmd boot gettext
+ufs1:
+mdraid09: diskfilter
+lvm: diskfilter
+chain: net efinet boot
+cbfs: archelp
+ufs2:
+time:
+gptsync: disk
+search_label:
+setjmp:
+gcry_rfc2268: crypto
+mdraid1x: diskfilter
+mpi: crypto
+part_amiga:
+efi_gop: video video_fb
+minix:
+echo: extcmd
+lsefi:
+gcry_serpent: crypto
+gcry_md4: crypto
+gcry_md5: crypto
+part_msdos:
+gcry_camellia: crypto
+all_video: efi_gop
Index: boot/grub/arm64-efi/arm64-efi/partmap.lst
===================================================================
--- boot/grub/arm64-efi/arm64-efi/partmap.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/partmap.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,11 @@
+part_acorn
+part_amiga
+part_apple
+part_bsd
+part_dfly
+part_dvh
+part_gpt
+part_msdos
+part_plan
+part_sun
+part_sunpc
Index: boot/grub/arm64-efi/arm64-efi/parttool.lst
===================================================================
--- boot/grub/arm64-efi/arm64-efi/parttool.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/parttool.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,1 @@
+msdos: msdospart
Index: boot/grub/arm64-efi/arm64-efi/terminal.lst
===================================================================
--- boot/grub/arm64-efi/arm64-efi/terminal.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/terminal.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,3 @@
+iserial_*: serial
+ogfxterm: gfxterm
+oserial_*: serial
Index: boot/grub/arm64-efi/arm64-efi/video.lst
===================================================================
--- boot/grub/arm64-efi/arm64-efi/video.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
+++ boot/grub/arm64-efi/arm64-efi/video.lst	(revision b781cc497418aafed520d245eab50c6954c84dcd)
@@ -0,0 +1,1 @@
+efi_gop
